﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace Plate
{
    public partial class MainFrame : Form
    {
        public MainFrame()
        {
            InitializeComponent();
        }

        private void MainFrame_Load(object sender, EventArgs e)
        {
            CarImageForm form = new CarImageForm();
            form.MdiParent = this;
            form.Show();
        }

        private void toolStripButtonOpenVideoFile_Click(object sender, EventArgs e)
        {
            OpenFileDialog dlg = new OpenFileDialog();
            dlg.Filter = "Video File|*.avi";
            if (dlg.ShowDialog() != DialogResult.OK)
                return;
            VideoRecognitionForm form = new VideoRecognitionForm(dlg.FileName);
            form.MdiParent = this;
            form.Show();
        }
    }
}
