﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace Remind
{
    public partial class MainFrame : Form
    {
        public MainFrame()
        {
            InitializeComponent();
        }

        private void MainFrame_Load(object sender, EventArgs e)
        {
            ShowDialogue();
        }

        AutoResponse.DialogueForm DialogueForm;
        void ShowDialogue()
        {
            if (DialogueForm == null)
            {
                DialogueForm = new AutoResponse.DialogueForm();
                DialogueForm.FormClosed+=new FormClosedEventHandler(DialogueForm_FormClosed);
                DialogueForm.MdiParent = this;
                DialogueForm.Show();
            }
            else
                DialogueForm.BringToFront();
        }
        void DialogueForm_FormClosed(object sender, FormClosedEventArgs e)
        {
            DialogueForm = null;
        }

        private void toolStripButtonHierarchy_Click(object sender, EventArgs e)
        {
            Semantics.NLP.ShowClassHierarchy();
        }

        private void toolStripButtonDialogue_Click(object sender, EventArgs e)
        {
            ShowDialogue();
        }

    }

}
