﻿using System;
using System.Net;
using System.Windows;
using System.Collections.Generic;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace Semantics.Silverlight
{
    public class LanguageNode : XmlizableBase
    {
        public LanguageNode()
        {
        }
        public LanguageNode(string value)
        {
            this.Value = value;
        }
        public List<LanguageNode> Children = new List<LanguageNode>();
        public int AbsolutePos;
        public int Length { get { return this.Value.Length; } }
        public string Value;
        public int PositionKey;
        public int SN;
        public override string ToString()
        {
            return this.Value;
        }
        public LanguageNode LanguageNodeFromXml(string xml)
        {
            LanguageNode langnode = new LanguageNode();
            langnode.FromXml(xml);
            return langnode;
        }
    }
}